AnsweredAssumed Answered

Compiling github activiti-designer project

Question asked by most1 on Nov 19, 2014
Latest reply on Dec 5, 2014 by jbarrez
Hi.

First of all I would like to welcome you all as it is my first post on this forum.

I am writing due to a compilation problem of activiti designer project hosted on github.
My motivation is to use newest version as the Kickstart subplugin available at http://activiti.org/designer/update/ has issue with dropdown element (no value is stored after you fill the list of possible choices). As far as I can see, the bugged compilation 5.15.0.201407081458 is older than the one on github.

The problem is that following the guide at http://docs.codehaus.org/display/ACT/Activiti+Designer+Developer+Guide i am unable to compile project correctly.

Im not experienced with eclipse, java nor maven, yet I have overcome some problems by my own:
* "http://download.eclipse.org/graphiti/updates/0.10.1" URL inside guide mentioned above has to be replaced with "http://archive.eclipse.org/graphiti/updates/0.10.1"
* error "OSGi version 5.16.0.SNAPSHOT must have .qualifier qualifier for SNAPSHOT builds" - solved by replacing ".SNAPSHOT" with ".qualifier" inside every MANIFEST.MF

After running "mvn eclipse:eclipse" I can see SUCCESS label on each module, but after running "designer.eclipse" as Eclipse appilcation and choosing new Kickstart project I get error. What is suspicious is that in eclipse each project have multiple unresolved dependencies inside java import section - not sure if this is this is handled by maven or if I should resolve it manually.

Attachments:
<a href="https://gist.github.com/Most/9ab23f18b2a6e742985c">console error log</a>

error on the image:
[IMG=750x519]http://i62.tinypic.com/sv57ac.png[/IMG]

Outcomes